module MachineBoxCoater
  extend ActiveSupport::Concern

  class << self
    def box_coater_set_target_before
      [:register_as_eer_machine, :box_coater_event, :engineering_lockout]
    end
  end

  def register_as_eer_machine
    params = register_as_eer_machine_params
    if @model.update(track_eer_metrics: params[:is_eer_machine])
      render :show
    else
      render status: :unprocessable_entity, json: @model.errors
    end
  end

  def box_coater_event
    render_current_box_coater_event(@model)
  end

  def engineering_lockout
    params = lockout_params
    if params[:lock]
      @model.start_engineering_lockout
    else
      @model.stop_engineering_lockout
    end
    render_current_box_coater_event(@model)
  end

  private

  def register_as_eer_machine_params
    params.permit(:is_eer_machine)
  end

  def lockout_params
    params.permit(:lock)
  end

  def render_current_box_coater_event(machine)
    event = machine.current_coater_event

    unless event.nil?
      @model = machine.current_coater_event
      return render "box_coater_events/show"
    end

    render head: :no_content
  end
end
