import * as React from "react";
import {observer} from "mobx-react-lite";
import {createStyles, Grid, makeStyles, Theme, Typography} from "@material-ui/core";
import {green, grey} from "@material-ui/core/colors";
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faCheck} from "@rx-suite/pro-solid-svg-icons";
import classNames from "classnames";

type BreadModelListBadgeProps = {
    text: string;
}

const useStyles = makeStyles((theme: Theme) =>
    createStyles({
        badge: {
            width: 'max-content',
            margin: '1px',
            padding: '1px 6px',
            borderRadius: '3px',
            backgroundColor: grey[300]
        },
        icon: {
            fontSize: '14px',
            color: green[600],
            marginRight: theme.spacing(0.5)
        },
        label: {
            fontSize: '14px',
            paddingLeft: '2px',
        }
    })
);

export const BreadModelListBadgeEnabled: React.FunctionComponent<BreadModelListBadgeProps> = observer(({text}) => {
    const classes = useStyles();

    return (
        <Grid item container className={classes.badge} alignItems={'center'}>
            <FontAwesomeIcon icon={faCheck} size={'1x'} className={classNames(classes.icon)}/>
            <Typography className={classNames(classes.label)}>{text}</Typography>
        </Grid>
    );
});