import Typography from "@material-ui/core/Typography";
import Box from "@material-ui/core/Box";
import * as React from "react";

export const TabPanel:React.FunctionComponent<TabPanelProps> = (props) => {
    const { children, value, index, ...other } = props;
    return (

        <Typography
            component="div"
            role="tabpanel"
            hidden={value !== index}
            id={`vertical-tabpanel-${index}`}
            aria-labelledby={`vertical-tab-${index}`}
            {...other}
        >
            {value === index && <Box p={3}>{children}</Box>}
        </Typography>
    );
};

export type TabPanelProps = {
    index: number
    value: number
}
