import * as React from "react";
import { t } from "@lingui/macro"
import {MachineModel} from "../../stores/MachineStore";
import {Grid} from "@material-ui/core";
import {BreadModelListBadge} from "../../components/generic/bread_model_list_badges/BreadModelListBadge";
import {MachineGroupModel, MachineGroupStore} from "../../stores/MachineGroupStore";

export const useMachineGroupColumn = () => {
    const allMachineGroups = MachineGroupStore.getAll() as MachineGroupModel[];

    const machineGroups = React.useCallback((group_ids: string[]) => {
        return allMachineGroups.filter((group) => {
            return group_ids.includes(group.getId())
        })
    }, [MachineGroupStore.models]);

    return (
        {
            Header: t`Groups`,
            accessor: (machine: MachineModel) => machine,
            id: 'group',
            Cell: (cellInfo: {value: MachineModel }) => {
                const groups = machineGroups(cellInfo.value.machine_group_ids);
                return (
                    <Grid container>
                        {groups.map((group) => {
                            return <BreadModelListBadge text={group.name} color={group.color}/>
                        })}
                    </Grid>
                )
            }
        })
}

