class AddEventJob < ApplicationJob
  queue_as :default

  def perform(model_params, events)
    ActiveRecord::Base.connection_pool.with_connection do
      machine = Machine.find_or_create_by(sn: model_params[:machine_sn])
      model = Event.new(model_params)
      model.event_data.build(events)
      if model.save
        model.broadcast_machine_data(machine, async: false) # broadcast to other Rx-Modules
        model.forward # forward data to other external systems
      end
    end
  end
end
