module KpiTableHandler
  class OrderedRoutingKickoutsKpiHandler < KpiTableHandler::Base::KpiTableHandler
    include DataHelpers

    def base_select
      routing_kickout_database_keys_arr.map do |db_key|
        KpiRoutingKickout.arel_table[db_key].sum.as(db_key)
      end
    end

    def kpi_to_extract
      routing_kickout_database_keys_arr.each_with_index.map do |db_key, i|
        next "SUM(#{db_key}) as #{db_key}" if i == 0
        ", SUM(#{db_key}) as #{db_key}"
      end.join
    end

    def table
      KpiRoutingKickout
    end

    def add_time_to_extract
      false
    end

    def run
      query = build_query_for_cached_records

      # This kpi always returns one record with all of the individual routing kickouts summed.
      query.to_a.first.as_json
    end
  end
end
