# -*- SkipSchemaAnnotations

module ErrorFilterMachineTypes
  module MultiFlex2
    extend ActiveSupport::Concern

    class_methods do
      def error_filters_data
        [
          {name: 'EMERGENCY STOP PRESSED', error_codes: '1', behaviour: 'replace', replace_name: 'EMERGENCY STOP PRESSED', group_code: '1'},
          {name: 'SAFETYDOOR OPEN', error_codes: '2', behaviour: 'replace', replace_name: 'FRONT COVER OPEN', group_code: '2'},
          {name: 'MAIN AIR TOO LOW', error_codes: '10', behaviour: 'replace', replace_name: 'MAIN AIR TOO LOW', group_code: '10'},
          {name: 'MAIN AIR TOO LOW: cnc program aborted', error_codes: '11', behaviour: 'replace', replace_name: 'MAIN AIR TOO LOW: cnc program aborted', group_code: '11'},
          {name: 'AUXILIARY CONTROL AIR: Insufficient air pressure, check main air supply', error_codes: '18', behaviour: 'replace', replace_name: 'AUXILIARY CONTROL AIR: Insufficient air pressure, check main air supply', group_code: '18'},
          {name: 'At least one inflow valve not opened within maximum time while cleaning sequence', error_codes: '38', behaviour: 'replace', replace_name: 'At least one inflow valve not opened within maximum time while cleaning sequence', group_code: '38'},
          {name: 'PLC: RESET: state AutomationReady not reached', error_codes: '65', behaviour: 'replace', replace_name: 'PLC: RESET: state AutomationReady not reached', group_code: '65'},
          {name: 'SERVICE DOOR FRONT SIDE OPEN', error_codes: '66', behaviour: 'replace', replace_name: 'SERVICE DOOR FRONT SIDE OPEN', group_code: '66'},
          {name: 'SERVICE DOOR BACK SIDE OPEN', error_codes: '67', behaviour: 'replace', replace_name: 'SERVICE DOOR BACK SIDE OPEN', group_code: '67'},
          {name: 'PLC: START AUTOMATION: machine not ready for automation', error_codes: '75', behaviour: 'replace', replace_name: 'PLC: START AUTOMATION: machine not ready for automation', group_code: '75'},
          {name: 'Hydra Boost+ DRY STATION: tray has not reached sensor within max time', error_codes: '93', behaviour: 'replace', replace_name: 'Hydra Boost+ DRY STATION: tray has not reached sensor within max time', group_code: '93'},
          {name: 'WASH STATION 1: water flow below minimum limit', error_codes: '95', behaviour: 'replace', replace_name: 'WASH STATION 1: water flow below minimum limit', group_code: '95'},
          {name: 'WASH STATION 2: water flow below minimum limit', error_codes: '97', behaviour: 'replace', replace_name: 'WASH STATION 2: water flow below minimum limit', group_code: '97'},
          {name: 'VACUUM CUP SPINDLE: pull back pintle of front tool spindle axis, position not reached', error_codes: '115', behaviour: 'replace', replace_name: 'VACUUM CUP SPINDLE: pull back pintle of front tool spindle axis, position not reached', group_code: '115'},
          {name: 'Cell1: PRESSURE CUP SPINDLE: back tool spindle axis pressure not reached', error_codes: '131', behaviour: 'replace', replace_name: 'Cell1: PRESSURE CUP SPINDLE: back tool spindle axis pressure not reached', group_code: '131'},
          {name: 'POLISH TEMPERATURE: actual temperature above maximum value', error_codes: '133', behaviour: 'replace', replace_name: 'POLISH TEMPERATURE: actual temperature above maximum value', group_code: '133'},
          {name: 'POLISH FLOW: actual flow below min value', error_codes: '134', behaviour: 'replace', replace_name: 'POLISH TEMPERATURE: actual temperature above maximum value', group_code: '134'},
          {name: 'CHECK TOOLS: error', error_codes: '148', behaviour: 'replace', replace_name: 'CHECK TOOL: error', group_code: '148'},
          {name: 'Handling: MOVEMENT NOT POSSIBLE: nc program not running', error_codes: '151', behaviour: 'replace', replace_name: 'Handling: MOVEMENT NOT POSSIBLE: nc program not running', group_code: '151'},
          {name: 'Handling: INFLOW VALVE: switch on not possible, sealing air missing', error_codes: '169', behaviour: 'replace', replace_name: 'Handling: INFLOW VALVE: switch on not possible, sealing air missing', group_code: '169'},
          {name: 'Handling: NC SUB PROGRAM SKIPPED: no lens present', error_codes: '172', behaviour: 'replace', replace_name: 'Handling: NC SUB PROGRAM SKIPPED: no lens present', group_code: '172'},
          {name: 'Handling: NC SUB PROGRAM SKIPPED: check of finish part gripper failed, gripper closed', error_codes: '174', behaviour: 'replace', replace_name: 'Handling: NC SUB PROGRAM SKIPPED: check of finish part gripper failed, gripper closed', group_code: '174'},
          {name: 'Handling: NC SUB PROGRAM SKIPPED: error in cell 1 occured', error_codes: '177', behaviour: 'replace', replace_name: 'Handling: NC SUB PROGRAM SKIPPED: error in cell 1 occured', group_code: '177'},
          {name: 'Handling: NC SUB PROGRAM SKIPPED: error in cell 2 occured', error_codes: '179', behaviour: 'replace', replace_name: 'Handling: NC SUB PROGRAM SKIPPED: error in cell 1 occured', group_code: '179'},
          {name: 'Handling: NC SUB PROGRAM SKIPPED: error in cell 3 occured', error_codes: '181', behaviour: 'replace', replace_name: 'Handling: NC SUB PROGRAM SKIPPED: error in cell 1 occured', group_code: '181'},
          {name: 'Handling: lens missing in tray 1', error_codes: '190', behaviour: 'replace', replace_name: 'Handling: lens missing in tray 1', group_code: '190'},
          {name: 'Handling: lens missing in tray 2', error_codes: '191', behaviour: 'replace', replace_name: 'Handling: lens missing in tray 1', group_code: '191'},
          {name: 'Handling: lens missing in tray 3', error_codes: '192', behaviour: 'replace', replace_name: 'Handling: lens missing in tray 3', group_code: '192'},
          {name: 'Handling: TRAY 1 NOT IN POSITION: sensor signal tray 1 not set within configured time', error_codes: '209', behaviour: 'replace', replace_name: 'Handling: TRAY 1 NOT IN POSITION: sensor signal tray 1 not set within configured time', group_code: '209'},
          {name: 'FINISH PART GRIPPER, lens lost in cell 3', error_codes: '214', behaviour: 'replace', replace_name: 'FINISH PART GRIPPER, lens lost in cell 3', group_code: '214'},
          {name: 'FINISH PART GRIPPER, lens lost in or during moving to/from wash station 1', error_codes: '215', behaviour: 'replace', replace_name: 'FINISH PART GRIPPER, lens lost in or during moving to/from wash station 1', group_code: '215'},
          {name: 'Handling NC PROGRAM: aborted', error_codes: '230', behaviour: 'replace', replace_name: 'Handling NC PROGRAM: aborted', group_code: '230'},
          {name: 'NC PROGRAM: aborted, handling within cell - internal step error', error_codes: '231', behaviour: 'replace', replace_name: 'NC PROGRAM: aborted, handling within cell - internal step error', group_code: '231'},
          {name: 'Handling NC PROGRAM: no loading possible in operation mode <Manual>', error_codes: '233', behaviour: 'replace', replace_name: 'Handling NC PROGRAM: no loading possible in operation mode <Manual>', group_code: '233'},
          {name: 'AXIS MOVEMENT: target position not reached, check actual position', error_codes: '247', behaviour: 'replace', replace_name: 'AXIS MOVEMENT: target position not reached, check actual position', group_code: '247'},

          {name: 'Handling Error: Handling: Traffic jam on conveyor', error_codes: '909', behaviour: 'use_as_is', group_code: '909'},
          {name: 'Handling Error: Scan: Barcode not identified', error_codes: '910', behaviour: 'use_as_is', group_code: '910'},
          {name: 'Handling Error: Stop loader and clean conveyor', error_codes: '916', behaviour: 'use_as_is', group_code: '916'},

          {name: 'Tool Damaged', error_codes: '923', behaviour: 'replace', replace_name: 'Tool Damaged', group_code: '923'},
          {name: 'Handling Error: No lens found', error_codes: '925', behaviour: 'replace', replace_name: 'Handling Error: No lens found', group_code: '925'},
          {name: 'Tool Warning Level', error_codes: '926', behaviour: 'replace', replace_name: 'Tool Warning Level', group_code: '926'},

          {name: 'Host Err: TimeOut ACK !', error_codes: '350006', behaviour: 'use_as_is', group_code: '350006'},
          {name: 'Host Err: Jobnumber wrong / not available !', error_codes: '350011', behaviour: 'use_as_is', group_code: '350011'},
          {name: 'Cannot Connect', error_codes: '404574', behaviour: 'use_as_is', group_code: '404574'},
          {name: 'Handling :PLC-Error', error_codes: '410005,410008', behaviour: 'replace', replace_name: 'Handling :PLC-Error', group_code: '410005'},

          {name: 'Cell1 :PLC-Error', error_codes: '1000000,1100000,10000000,11007130,11007742', behaviour: 'replace', replace_name: 'Cell1 :PLC-Error', group_code: '1000000'},
          {name: 'Cell1 :PLC-Error: AXIS_A1', error_codes: '1106021,1129216,11006021,11029209,11029216', behaviour: 'replace', replace_name: 'Cell1 :PLC-Error: AXIS_A1', group_code: '1106021'},
          {name: 'Cell1 :PLC-Error: AXIS_A2', error_codes: '1206021,1229216,12006021,12029209,12029216', behaviour: 'replace', replace_name: 'Cell1 :PLC-Error: AXIS_A2', group_code: '1206021'},
          {name: 'Cell1 :PLC-Error: AXIS_B', error_codes: '1306021,13006021,13029209,13029216', behaviour: 'replace', replace_name: 'Cell1 :PLC-Error: AXIS_B', group_code: '1306021'},
          {name: 'Cell1 :PLC-Error: AXIS_C', error_codes: '1406021,14006021,14029209,14029216', behaviour: 'replace', replace_name: 'Cell1 :PLC-Error: AXIS_C', group_code: '1406021'},
          {name: 'Cell1 :PLC-Error: AXIS_X', error_codes: '1606021,1629209,16006021,16029209,16029216', behaviour: 'replace', replace_name: 'Cell1 :PLC-Error: AXIS_X', group_code: '1606021'},

          {name: 'Cell2 :PLC-Error', error_codes: '2000000,2100000,20000000,21007130,21007742', behaviour: 'replace', replace_name: 'Cell2 :PLC-Error', group_code: '2000000'},
          {name: 'Cell2 :PLC-Error: AXIS_A1', error_codes: '2129207,2129209,2129216,21029207,21029209,21029216', behaviour: 'replace', replace_name: 'Cell2 :PLC-Error: AXIS_A1', group_code: '2129207'},
          {name: 'Cell2 :PLC-Error: AXIS_A2', error_codes: '2229209,2229216,22029209,22029216', behaviour: 'replace', replace_name: 'Cell2 :PLC-Error: AXIS_A2', group_code: '2229209'},
          {name: 'Cell2 :PLC-Error: AXIS_B', error_codes: '2329209,23006021,23029209', behaviour: 'replace', replace_name: 'Cell2 :PLC-Error: AXIS_B', group_code: '2329209'},
          {name: 'Cell2 :PLC-Error: AXIS_C', error_codes: '2429216,2429229,24006021,24029209,24029216,24029229', behaviour: 'replace', replace_name: 'Cell2 :PLC-Error: AXIS_C', group_code: '2429216'},
          {name: 'Cell2 :PLC-Error: AXIS_X', error_codes: '2606021,2629209,26006021,26029209,26029216', behaviour: 'replace', replace_name: 'Cell2 :PLC-Error: AXIS_X', group_code: '2606021'},

          {name: 'Cell3 :PLC-Error', error_codes: '3000000,3100000,30000000,31007130,31007742', behaviour: 'replace', replace_name: 'Cell3 :PLC-Error', group_code: '3000000'},
          {name: 'Cell3 :PLC-Error: AXIS_A1', error_codes: '3129216,31006021,31029209,31029216', behaviour: 'replace', replace_name: 'Cell3 :PLC-Error: AXIS_A1', group_code: '3129216'},
          {name: 'Cell3 :PLC-Error: AXIS_A2', error_codes: '3229216,32006021,32029209,32029216', behaviour: 'replace', replace_name: 'Cell3 :PLC-Error: AXIS_A2', group_code: '3229216'},
          {name: 'Cell3 :PLC-Error: AXIS_B', error_codes: '3329209,33006021,33029216', behaviour: 'replace', replace_name: 'Cell3 :PLC-Error: AXIS_B', group_code: '3329209'},
          {name: 'Cell3 :PLC-Error: AXIS_C', error_codes: '3406021,3429216,33029209,34006021,34029209,34029216', behaviour: 'replace', replace_name: 'Cell3 :PLC-Error: AXIS_C', group_code: '3406021'},
          {name: 'Cell3 :PLC-Error: AXIS_X', error_codes: '3606021,3629209,36006021,36029209,36029216', behaviour: 'replace', replace_name: 'Cell3 :PLC-Error: AXIS_X', group_code: '3606021'},

          {name: 'Handling :PLC-Error', error_codes: '4000000,40000000', behaviour: 'replace', replace_name: 'Handling :PLC-Error', group_code: '4000000'},
          {name: 'Handling: PLC-Error: AXIS_X', error_codes: '4129209,41029209', behaviour: 'replace', replace_name: 'Handling: PLC-Error: AXIS_X', group_code: '4129209'},
          {name: 'Handling: PLC-Error: AXIS_Y', error_codes: '4229209,42029209', behaviour: 'replace', replace_name: 'Handling: PLC-Error: AXIS_Y', group_code: '4229209'},
          {name: 'Handling: PLC-Error: AXIS_Z', error_codes: '4329209,43029209', behaviour: 'replace', replace_name: 'Handling: PLC-Error: AXIS_Z', group_code: '4329209'}
        ]
      end
    end
  end
end

