# == Schema Information
#
# Table name: job_breakage_data
#
#  id                   :bigint           not null, primary key
#  breakage_category    :string(4000)
#  breakage_reason      :string(4000)
#  broken               :boolean          default(FALSE)
#  breakage_category_id :integer
#  breakage_reason_id   :integer
#  job_breakage_id      :bigint
#  job_id               :bigint           not null
#
# Indexes
#
#  index_job_breakage_data_on_job_breakage_id  (job_breakage_id)
#  index_job_breakage_data_on_job_id           (job_id)
#
# Foreign Keys
#
#  fk_rails_...  (job_breakage_id => job_breakages.id) ON DELETE => nullify
#  fk_rails_...  (job_id => jobs.id) ON DELETE => cascade
#
class JobBreakageDatum < ApplicationRecord
  belongs_to :job
  belongs_to :job_breakage
end
