class ChangeLensSideToSideable < ActiveRecord::Migration[6.0]
  def up
    add_column :job_processes, :side, :integer
    sql = <<~SQL
      UPDATE job_processes
      SET side = CASE
        WHEN lens_side = 'R' then 1
        WHEN lens_side = 'L' then 0
      END
    SQL
    execute(sql)
    remove_column :job_processes, :lens_side
  end

  def down
    add_column :job_processes, :lens_side, :string
    sql = <<~SQL
      UPDATE job_processes
      SET lens_side = CASE
        WHEN side = 1 then 'R'
        WHEN side = 0 then 'L'
      END
    SQL
    execute(sql)
    remove_column :job_processes, :side
  end
end
