class CreateCalibrations < ActiveRecord::Migration[6.0]
  def change
    create_table :calibrations do |t|
      t.string :target
      t.string :target_name
      t.string :calibration_type
      t.string :sub_type
      t.string :mode
      t.string :user
      t.datetime :time
      t.string :machine_sn

      t.timestamps
    end
    add_foreign_key :calibrations, :machines, column: "machine_sn", primary_key: "sn", on_delete: :cascade
    add_index :calibrations, :machine_sn
  end
end
