class DeleteEerEventsAndEerValues < ActiveRecord::Migration[6.1]
  def up
    drop_table :eer_events
    drop_table :eer_values

    remove_column :push_targets, :eer_event
  end

  def down
    create_table :eer_events do |t|
      t.string :event_type
      t.datetime :start_time
      t.datetime :resolved_time
      t.boolean :resolved, default: false
      t.string :operator_note
      t.string :eer_category
      t.string :recipe
      t.string :batch_id
      t.integer :lens_number
      t.integer :empty_holes
      t.string :crystal_life

      t.belongs_to :machine

      t.timestamps
    end

    create_table :eer_values do |t|
      t.date :date
      t.string :name
      t.decimal :value

      t.timestamps
    end

    add_column :push_targets, :eer_event, :string
  end
end
