class AddEnabledInterfacesToMachines < ActiveRecord::Migration[6.1]
  def up
    add_column :machine_types, :machine_state_enabled, :boolean, default: false
    add_column :machine_types, :job_state_enabled, :boolean, default: false
    add_column :machine_types, :error_enabled, :boolean, default: false
    add_column :machine_types, :maintenance_enabled, :boolean, default: false
    add_column :machine_types, :process_data_enabled, :boolean, default: false
    add_column :machine_types, :event_data_enabled, :boolean, default: false
    add_column :machine_types, :calibration_data_enabled, :boolean, default: false
    execute("update machine_types set machine_state_enabled='false', job_state_enabled='false', error_enabled='false', maintenance_enabled='false', process_data_enabled='false', event_data_enabled='false', calibration_data_enabled='false'")
  end
  def down
    remove_column :machine_types, :machine_state_enabled
    remove_column :machine_types, :job_state_enabled
    remove_column :machine_types, :error_enabled
    remove_column :machine_types, :maintenance_enabled
    remove_column :machine_types, :process_data_enabled
    remove_column :machine_types, :event_data_enabled
    remove_column :machine_types, :calibration_data_enabled
  end
end
