class CreateKpiMachineErrorCount < ActiveRecord::Migration[6.1]
  def change
    create_table :kpi_machine_error_counts do |t|
      t.datetime :time, null: false
      t.belongs_to :machine, foreign_key: {on_delete: :cascade}
      t.string :group_code, null: false
      t.integer :count, default: 0

      t.index [:time, :machine_id, :group_code], name: 'kpi_machine_error_count_uniq_time_per_machine_or_group_code', unique: true
      t.timestamps
    end
  end
end
