class CreateJobBreakages < ActiveRecord::Migration[6.0]
  def change
    create_table :job_breakages do |t|
      t.string :posted_by
      t.integer :posted_by_user_id
      t.datetime :posted_at
      t.boolean :accepted, default: false
      t.string :validated_by
      t.integer :validated_by_user_id
      t.datetime :validated_at
      t.string :job_number, index: true
    end

    create_table :job_breakage_data do |t|
      t.string :breakage_reason
      t.string :breakage_category
      t.boolean :broken, default: false

      t.belongs_to :job, null: false, foreign_key: {on_delete: :cascade}, null: false
      t.references :job_breakage, foreign_key: {on_delete: :nullify}, null: true

      # These are foreign keys from rx-breakage
      t.integer :breakage_reason_id
      t.integer :breakage_category_id
    end
  end
end
